Debian Bug report logs - #499292
dpkg-cross: check for and remove dangling symlinks

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Wookey <wookey@debian.org>

Date: Wed, 17 Sep 2008 15:09:02 UTC

Severity: wishlist

Tags: moreinfo

Found in version dpkg-cross/2.3.0

Fixed in version dpkg-cross/2.4.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#499292; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-cross: cross package misses out libraries in sub-dirs
Date: Wed, 17 Sep 2008 14:51:28 +0100
Package: dpkg-cross
Version: 2.3.0
Severity: important

Doing dpkg-cross -a arm -b libgsmd0_0.8-12_arm.deb 
produces a cross-package libgsmd0-arm-cross_0.8-12_all.deb as
expected. However the cross package is missing most of the libraries
in the original - having only dangling symlinks:

$> dpkg-deb --contents libgsmd0_0.8-12_arm.deb
drwxr-xr-x root/root         0 2008-09-16 15:23 ./
drwxr-xr-x root/root         0 2008-09-16 15:23 ./usr/
drwxr-xr-x root/root         0 2008-09-16 15:23 ./usr/lib/
-rw-r--r-- root/root     21864 2008-09-16 15:23 ./usr/lib/libgsmd.so.0.0.0
drwxr-xr-x root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/
-rw-r--r-- root/root      3160 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-machine_generic.so.0.0.0
-rw-r--r-- root/root      3492 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-machine_tihtc.so.0.0.0
-rw-r--r-- root/root      4412 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_bcm.so.0.0.0
-rw-r--r-- root/root      4096 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_qc.so.0.0.0
-rw-r--r-- root/root      5560 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_siemens.so.0.0.0
-rw-r--r-- root/root      6676 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_ti.so.0.0.0
-rw-r--r-- root/root      6244 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_tihtc.so.0.0.0
drwxr-xr-x root/root         0 2008-09-16 15:23 ./usr/share/
drwxr-xr-x root/root         0 2008-09-16 15:23 ./usr/share/doc/
drwxr-xr-x root/root         0 2008-09-16 15:23 ./usr/share/doc/libgsmd0/
-rw-r--r-- root/root      1514 2008-09-16 15:22 ./usr/share/doc/libgsmd0/copyright
-rw-r--r-- root/root       712 2008-09-16 15:22 ./usr/share/doc/libgsmd0/changelog.Debian.gz
drwxr-xr-x root/root         0 2008-09-16 15:23 ./usr/bin/
-rwxr-xr-x root/root     84928 2008-09-16 15:23 ./usr/bin/gsmd
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/libgsmd.so -> libgsmd.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/libgsmd.so.0 -> libgsmd.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-machine_generic.so -> libgsmd-machine_generic.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-machine_generic.so.0 -> libgsmd-machine_generic.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-machine_tihtc.so -> libgsmd-machine_tihtc.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-machine_tihtc.so.0 -> libgsmd-machine_tihtc.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_bcm.so -> libgsmd-vendor_bcm.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_bcm.so.0 -> libgsmd-vendor_bcm.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_qc.so -> libgsmd-vendor_qc.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_qc.so.0 -> libgsmd-vendor_qc.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_siemens.so -> libgsmd-vendor_siemens.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_siemens.so.0 -> libgsmd-vendor_siemens.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_ti.so -> libgsmd-vendor_ti.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_ti.so.0 -> libgsmd-vendor_ti.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_tihtc.so -> libgsmd-vendor_tihtc.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-vendor_tihtc.so.0 -> libgsmd-vendor_tihtc.so.0.0.0

$> dpkg-deb --contents ~/libgsmd0-arm-cross_0.8-12_arm.deb
drwxr-xr-x root/root         0 2008-09-17 14:41 ./
drwxr-xr-x root/root         0 2008-09-17 14:41 ./usr/
drwxr-xr-x root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/
drwxr-xr-x root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/
-rw-r--r-- root/root     21864 2008-09-16 15:23 ./usr/arm-linux-gnu/lib/libgsmd.so.0.0.0
drwxr-xr-x root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/gsmd/
drwxr-xr-x root/root         0 2008-09-17 14:41 ./usr/share/
drwxr-xr-x root/root         0 2008-09-17 14:41 ./usr/share/doc/
drwxr-xr-x root/root         0 2008-09-17 14:41 ./usr/share/doc/libgsmd0-arm-cross/
-rw-r--r-- root/root       261 2008-09-17 14:41 ./usr/share/doc/libgsmd0-arm-cross/README
lrwxrwxrwx root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/gsmd/libgsmd-machine_generic.so -> libgsmd-machine_generic.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/gsmd/libgsmd-machine_tihtc.so -> libgsmd-machine_tihtc.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/gsmd/libgsmd-vendor_bcm.so -> libgsmd-vendor_bcm.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/gsmd/libgsmd-vendor_qc.so -> libgsmd-vendor_qc.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/gsmd/libgsmd-vendor_siemens.so -> libgsmd-vendor_siemens.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/gsmd/libgsmd-vendor_ti.so -> libgsmd-vendor_ti.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/gsmd/libgsmd-vendor_tihtc.so -> libgsmd-vendor_tihtc.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/libgsmd.so -> libgsmd.so.0.0.0
lrwxrwxrwx root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/libgsmd.so.0 -> libgsmd.so.0.0.0


As you can see the top-level /lib/libgsmd is dealt with correctly, but
the libs in the lib/gsmd/ subdir are not.

-- Package-specific info:

-- /etc/dpkg-cross/cross-compile --

#
# /etc/dpkg-cross/cross-compile: configuration for dpkg-cross & Co.
#

# default architecture for dpkg-cross (to avoid always typing the -a option
# if you do cross installations only for one architecture)
# Note: default_arch is managed by debconf - it can be overridden
# if ~/.dpkg-cross/cross-compile exists or by specifying an
# architecture on the command line.
# Use '[sudo] dpkg-reconfigure dpkg-cross' to change this value.
default_arch = arm

#
# general section: paths of cross compiling environment
#
# you can set the following variables here:
#  crossprefix: prefix for cross compiling binaries; default: $(DEB_HOST_GNU_SYSTEM)-
#  crossbase  : base prefix for the following; default: /usr
#  crossdir   : base directory for architecture; default:
#               $(CROSSBASE)/$(DEB_HOST_GNU_TYPE)
#  crossbin   : dir for binaries; default: $(CROSSDIR)/bin
#  crosslib   : dir for libraries; default: $(CROSSDIR)/lib
#  crossinc   : dir for headers; default: $(CROSSDIR)/include
#  maintainer : maintainer name to pass to original dpkg-buildpackage
#               in -m option. If not set at all, don't pass a -m, thus
#               dpkg-buildpackage will use the name from the changelog
#               file. If set to the special string CURRENTUSER,
#               dpkg-buildpackage will use the name from the
#               changelog, too, but signing the .changes will be done
#               as the current user (default key).
#  removedeps : comma-separated list of package names that should be removed
#               from depends/conflicts/etc fields
#  keepdeps   : comma-separated list of package names that should be kept
#               in depends/conflicts/etc fields as is, without adding
#               -arch-cross.
#
# Usually, you need only set crossbase, or maybe also crossdir
#
crossbase = /usr

# A crossroot definition is for the complete-Debian-system-mounted-somewhere
# approach, mainly used for Hurd.
#crossroot-hurd-i386 = /gnu

#
# This setting for maintainer is usually right:
#
maintainer = CURRENTUSER

#
# This list is no longer being updated - implement on the command line instead.
#
removedeps = gcc, binutils, gpm, cpp, debianutils, xfree86-common, libpam-runtime, xlibs-data, debconf, tzdata
keepdeps = gcc-3.3-base, gcc-3.4-base, gcc-4.0-base, gcc-4.1-base

#
# per-package sections: additional environment variables to set
#
# These are no longer updated - implement on the command line instead.

package e2fsprogs:
	unset LD

# by Jorik Jonker <jorik@dnd.utwente.nl>
package glibc:
scope makeflags:
	LINUX_SOURCE = $(CROSSDIR)

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dpkg-cross depends on:
ii  binutils-multiarch  2.18.1~cvs20080103-7 Binary utilities that support mult
ii  debconf [debconf-2. 1.5.22               Debian configuration management sy
ii  dpkg-dev            1.14.22              Debian package development tools
ii  libdebian-dpkgcross 2.3.0                functions to aid cross-compiling D
ii  perl                5.10.0-13            Larry Wall's Practical Extraction 

Versions of packages dpkg-cross recommends:
ii  fakeroot                      1.9.5      Gives a fake root environment

dpkg-cross suggests no packages.

-- debconf information:
* dpkg-cross/default-arch: arm

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#499292; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 499292@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Wookey <wookey@debian.org>, 499292@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#499292: dpkg-cross: cross package misses out libraries in sub-dirs
Date: Wed, 17 Sep 2008 21:03:06 +0100
[Message part 1 (text/plain, inline)]
Package: dpkg-cross
tag 499292 + moreinfo
thanks

On Wed, 17 Sep 2008 14:51:28 +0100
Wookey <wookey@debian.org> wrote:

> Package: dpkg-cross
> Version: 2.3.0
> Severity: important
> 
> Doing dpkg-cross -a arm -b libgsmd0_0.8-12_arm.deb 
> produces a cross-package libgsmd0-arm-cross_0.8-12_all.deb as
> expected. However the cross package is missing most of the libraries
> in the original - having only dangling symlinks:

There is a significant problem here. Allowing dpkg-cross to think that
files in /usr/lib/.+/ where . != lib are "useful" would make a whole
set of plugins, modules and private application libraries into "useful"
files. I'm not sure we want to do that. e.g. every GConv .so file in
glibc would suddenly be added to libc6-arm-cross, repeated for every
other toolchain.

$ find /usr/lib/ -name '*.so' | grep -v '/usr/lib/lib' | grep -c so
2323

Ouch.

> $> dpkg-deb --contents libgsmd0_0.8-12_arm.deb

I can't find this package in Debian - the /usr/lib/$package/
subdirectories should not normally be used for public libraries with
symbols that need to be linked against any other object.

> lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-machine_generic.so -> libgsmd-machine_generic.so.0.0.0

Isn't that a private application plugin|module ? Is there any actual
purpose in providing these for linking during the build? Most plugins
and private application libraries are explicitly prevented from being
linked against other objects outside the application concerned - it is
possible that even if these objects are provided, dpkg-shlibdeps may
not be able to locate them.

> drwxr-xr-x root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/
> -rw-r--r-- root/root     21864 2008-09-16 15:23 ./usr/arm-linux-gnu/lib/libgsmd.so.0.0.0

This behaviour is intended only for support for libcairo-directfb
(which itself is probably not the best solution and does cause problems
elsewhere in the build).

> drwxr-xr-x root/root         0 2008-09-17 14:41 ./usr/arm-linux-gnu/lib/gsmd/

"Shared object files (often .so files) that are not public libraries,
that is, they are not meant to be linked to by third party executables
(binaries of other packages), should be installed in subdirectories of
the /usr/lib directory. Such files are exempt from the rules that
govern ordinary shared libraries, except that they must not be
installed executable and should be stripped.

Packages containing shared libraries that may be linked to by other
packages' binaries, but which for some compelling reason can not be
installed in /usr/lib directory, may install the shared library files
in subdirectories of the /usr/lib directory, in which case they should
arrange to add that directory in /etc/ld.so.conf in the package's
post-installation script, and remove it in the package's post-removal
script."

Policy 10.2

Does gsmd have a compelling reason for putting public libraries
in /usr/lib/gsmd/ ? Are these files public libraries? Are they actually
"useful" within the context of dpkg-cross?

Is it safe to make such files "useful" to dpkg-cross when the vast
majority of these files are expressly *not* meant to be linked into
package builds?

True, the dangling symlinks aren't nice but I think dpkg-cross is doing
the right thing here. 

(I may remove the workaround for libcairo-directfb after Lenny - I
think we need a different solution for that problem. It currently
prevents the gtk2.0 -udeb from being cross-built and the workaround
is not a complete fix anyway.)

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Tags added: moreinfo Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 17 Sep 2008 20:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#499292; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 499292@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Neil Williams <codehelp@debian.org>
Cc: Wookey <wookey@debian.org>, 499292@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#499292: dpkg-cross: cross package misses out libraries in sub-dirs
Date: Thu, 18 Sep 2008 14:53:34 +0100
On 2008-09-17 21:03 +0100, Neil Williams wrote:
> > $> dpkg-deb --contents libgsmd0_0.8-12_arm.deb
> 
> I can't find this package in Debian 

Yes, sorry - it comes from openmoko, and we (Toby Churchill Ltd) have
hacked it about a fair amount. I don't have a link to an externally
accessible version right now, although one will be provided soon.

- the /usr/lib/$package/
> subdirectories should not normally be used for public libraries with
> symbols that need to be linked against any other object.
> 
> > lrwxrwxrwx root/root         0 2008-09-16 15:23 ./usr/lib/gsmd/libgsmd-machine_generic.so -> libgsmd-machine_generic.so.0.0.0
> 
> Isn't that a private application plugin|module ? Is there any actual
> purpose in providing these for linking during the build? Most plugins
> and private application libraries are explicitly prevented from being
> linked against other objects outside the application concerned 

Hmm, perhaps you are right. I had not appreciated that things below
/lib are normally deemed 'private'. Stuff certainly seerms to build
against the -cross package provided (wthout these objects in it), so I
guess they are not externally linked.

> - it is
> possible that even if these objects are provided, dpkg-shlibdeps may
> not be able to locate them.

I do have to use --ignore-missing to shlibdeps to make it build, but I
think that is to do with missing .shlibs files in the gsmd build, not
these sub-libs. I will check.

> "Shared object files (often .so files) that are not public libraries,
> that is, they are not meant to be linked to by third party executables
> (binaries of other packages), should be installed in subdirectories of
> the /usr/lib directory. Such files are exempt from the rules that
> govern ordinary shared libraries, except that they must not be
> installed executable and should be stripped.

OK. I guess gsmd is complying with this packaging rule, and in fct
everything is working as it should.

It was the dangling symlinks that made me assume things were broken,
combined with onyl a vague knowledge of the workings of libgsmd.

> True, the dangling symlinks aren't nice but I think dpkg-cross is doing
> the right thing here. 

I think you are right, so feel free to close this bug.

Wookey
-- 
Principal hats:  Balloonz - Toby Churchill - Aleph One - Debian
http://wookware.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#499292; Package dpkg-cross. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 499292@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Wookey <wookey@wookware.org>
Cc: 499292@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#499292: dpkg-cross: cross package misses out libraries in sub-dirs
Date: Thu, 18 Sep 2008 20:28:24 +0100
[Message part 1 (text/plain, inline)]
Package: dpkg-cross
retitle 499292 dpkg-cross: check for and remove dangling symlinks
severity 499292 wishlist
thanks

On Thu, 18 Sep 2008 14:53:34 +0100
Wookey <wookey@wookware.org> wrote:

> > Isn't that a private application plugin|module ? Is there any actual
> > purpose in providing these for linking during the build? Most plugins
> > and private application libraries are explicitly prevented from being
> > linked against other objects outside the application concerned 
> 
> Hmm, perhaps you are right. I had not appreciated that things below
> /lib are normally deemed 'private'. Stuff certainly seerms to build
> against the -cross package provided (wthout these objects in it), so I
> guess they are not externally linked.

objdump -p against the built binaries should be able to give the
definitive answer about linkages.

> > - it is
> > possible that even if these objects are provided, dpkg-shlibdeps may
> > not be able to locate them.
> 
> I do have to use --ignore-missing to shlibdeps to make it build, but I
> think that is to do with missing .shlibs files in the gsmd build, not
> these sub-libs. I will check.

Thanks.

> > "Shared object files (often .so files) that are not public libraries,
> > that is, they are not meant to be linked to by third party executables
> > (binaries of other packages), should be installed in subdirectories of
> > the /usr/lib directory. Such files are exempt from the rules that
> > govern ordinary shared libraries, except that they must not be
> > installed executable and should be stripped.
> 
> OK. I guess gsmd is complying with this packaging rule, and in fct
> everything is working as it should.
> 
> It was the dangling symlinks that made me assume things were broken,
> combined with onyl a vague knowledge of the workings of libgsmd.

OK. Retitling the bug to get dpkg-cross to check for and remove dangling
symlinks as well as explain things like this in the manpage. 

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to `dpkg-cross: check for and remove dangling symlinks' from `dpkg-cross: cross package misses out libraries in sub-dirs'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 18 Sep 2008 19:30:06 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `important' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 18 Sep 2008 19:30:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Sun, 05 Oct 2008 16:45:02 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 15 Feb 2009 14:18:19 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@debian.org>:
Bug acknowledged by developer. (Sun, 15 Feb 2009 14:18:19 GMT) Full text and rfc822 format available.

Message #33 received at 499292-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 499292-close@bugs.debian.org
Subject: Bug#499292: fixed in dpkg-cross 2.4.0
Date: Sun, 15 Feb 2009 13:59:24 +0000
Source: dpkg-cross
Source-Version: 2.4.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.4.0.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0.dsc
dpkg-cross_2.4.0.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0.tar.gz
dpkg-cross_2.4.0_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0_all.deb
libdebian-dpkgcross-perl_2.4.0_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.4.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499292@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Feb 2009 11:25:46 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.4.0
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 447427 493180 499292 506229 506956 513203 514249 514604
Changes: 
 dpkg-cross (2.4.0) unstable; urgency=low
 .
   * Merge Emdebian releases into Debian.
   * Remove dependencies on outdated -dcv1 compatibility packages,
     retain Provides for now. (Closes: #514249)
 .
 dpkg-cross (2.3.6) unstable; urgency=low
 .
   * Fix cache support for packages with unusual AC_INIT calls.
   * Add cache support for mipsel.
 .
 dpkg-cross (2.3.5) unstable; urgency=low
 .
   * [INTL:es] Spanish debconf template translation for dpkg-cross
     (Closes: #514604)
   * Implement support for package-specific cache values using CONFIG_SITE
     and /etc/dpkg-cross/cross-config.d/$arch support. (Closes: #493180)
 .
 dpkg-cross (2.3.4) unstable; urgency=low
 .
   * Fix "dpkg-cross fails to provide correct .pc for libpthread-stubs0-
     dev" by marking pkgconfig files in /usr/share/ as 'useful'.
     (Closes: #506229)
   * Allow an exception so that dpkg-cross can handle symlinks to
     pkgconfig files. (Closes: #506956)
   * Debian/DpkgCross.pm :Add a note to endiannes function that dpkg-
     cross needs to be installed as well as the perl module in order for
     the function to retrieve the endianness data.
   * Add missing cache values for findutils to allow findutils to remove
     the cache file. (Closes: #513203)
 .
 dpkg-cross (2.3.3) unstable; urgency=low
 .
   * Migrate gccross to emdebian-tools
   *  + to aid migration of dpkg-cross into dpkg and dpkg-dev
   *  + to retain gccross support until all packages are fixed
   *  + to implement support for marking all packages using gccross as
     buggy.
   * drop buildcross which is now implemented inside emdebuild if
     '[X-]Build-Cross-Libtool: yes' is used in debian/xcontrol
   * dpkg-cross : migrate manpage content to POD for compatibility with
     dpkg-dev
   * migrate default options into the module instead of the conffile
   * check for and remove dangling symlinks (Closes: #499292) by
     stopping the creation of symlinks for files that are not
     interesting.
   * remove obsolete files from CVS and source tarball
   * using pod2man, so drop docbook-to-man build-depends
   * Improve error checking in case  value really is undefined
   * Add dynamic archtable settings to make it easier to support uClibc
     permutations: please support wrong architecture (Closes: #447427)
   * dpkg-cross : Remove cairo hack and finish simplifying the regexp
     lines to remove unnecessary escape characters.
   * debian/rules: final tweak to update from i18n update, clean up
     module man page
 .
 dpkg-cross (2.3.2) unstable; urgency=low
 .
   * Support package-specific cache values
   * config/cross-config.arm config/cross-config.armel : load the global
     variables before the previous values to retain the architecture-
     dependent values
   * config/cross-config.cache : drop orbit data (specialized support
     elsewhere) and reorganise blocks alphabetically
   * dpkg-cross : Implement support for generated cache data in
     /etc/dpkg-cross/cross-config.d/ and architecture-dependent sub
     directories
   * config/cross-config.cache : wrap cache values in package and
     package_name conditionals. Restrict loading of files in
     /etc/dpkg-cross/cross-config.d/ to files matching the package_name
     variable assigned within ./configure.
   * dpkg-cross : Support installing cmake files in -dev packages.
   * Adapt the experimental CMake example file for (hopefully) different
     Linux architectures
   * Add a few CMake tips to the dpkg-cross manpage
 .
 dpkg-cross (2.3.1) unstable; urgency=low
 .
   * Support collected cache values for system-wide comparisons
Checksums-Sha1: 
 f59caff76c01420b6553ac3d43a9210020474ceb 1223 dpkg-cross_2.4.0.dsc
 f5c1d37fec5c40f457c4c3ef2fa6ecc5d4cffc03 73460 dpkg-cross_2.4.0.tar.gz
 2a672b2cd9761f4e1f69181e43c764987952a589 50356 dpkg-cross_2.4.0_all.deb
 c7ca74a045e4f16da668d93f3bac8ba54fd78a1e 32918 libdebian-dpkgcross-perl_2.4.0_all.deb
Checksums-Sha256: 
 f78769677f00f88076360d531a579d5418f644e2dc1bbf709f92c4caf739f46b 1223 dpkg-cross_2.4.0.dsc
 04240bac9c74eff2d8189fe1c43fa0a0b8db1152901035c73e6b78739108303b 73460 dpkg-cross_2.4.0.tar.gz
 1e544fc008b02ec2a49fd06fe884ae69d5c67a8288a64dbeb39c5b4629a3b0ce 50356 dpkg-cross_2.4.0_all.deb
 73427b798ac560776b80413acf6d38c2607550d4eff9d642b0c83a06ce34e6db 32918 libdebian-dpkgcross-perl_2.4.0_all.deb
Files: 
 553387c5146e86fa5dda3e4275719bd4 1223 utils extra dpkg-cross_2.4.0.dsc
 6fefb3522eee6cc2ecbb4c1a2e07ed85 73460 utils extra dpkg-cross_2.4.0.tar.gz
 45a4cc048975bf52f7cb05a00e3a707d 50356 utils extra dpkg-cross_2.4.0_all.deb
 486eb96b50c2d888ed8d705ba8ffae4e 32918 perl extra libdebian-dpkgcross-perl_2.4.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmYFj8ACgkQiAEJSii8s+Nx9QCfRZHVrXhe3DkuoVbBFpP9WZ16
TmwAnj3yhbap6qeWltV4cu7ttM/Dor+U
=U8XH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Mar 2009 07:44:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:16:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.